Skip to main content
`Ctrl`+`K`

# DMPlexTSComputeIFunctionFEM

Form the local residual `locF` from the local input `locX` using pointwise functions specified by the user

## Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeIFunctionFEM(DM dm, PetscReal time, Vec locX, Vec locX_t, Vec locF, void *user)

## Input Parameters

- dm - The mesh

- time - The time

- locX - Local solution

- locX_t - Local solution time derivative, or `NULL`

- user - The user context

## Output Parameter

- locF - Local output vector

## See Also

TS: Scalable ODE and DAE Solvers, `DMPLEX`, `TS`, `DMPlexTSComputeRHSFunctionFEM()`

## Level

developer

## Location

src/ts/utils/dmplexts.c

## Examples

src/ts/tutorials/ex77.c
src/ts/tutorials/ex46.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex45.c
src/ts/tutorials/ex76.c
src/ts/tutorials/ex48.c
src/ts/tutorials/ex47.c
src/ts/tutorials/ex53.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages